Inbox · Mentions

List mentions

Returns mentions, one page at a time.

GEThttps://api.pozy.ai/v1/inbox/mentions
listInboxMentions

Guide: Mentions

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the engagement resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdstring
profileIdstring
sortOrderstringOne of asc, descDefault desc
limitintegerDefault 251 to 100
cursorstring

Example

curl -X GET "https://api.pozy.ai/v1/inbox/mentions?limit=25" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • dataarray of object
    17 child fields
    • idstring
    • platformstring

      One of linkedin, instagram, facebook.

    • typestring

      One of caption, post, comment. Can be null.

    • mediaIdstring

      Can be null.

    • postIdstring

      Can be null.

    • commentIdstring

      Can be null.

    • accountIdstring
    • accountUsernamestring
    • contentstring
    • permalinkstring

      Can be null.

    • authorUrnstring

      Can be null.

    • authorNamestring

      Can be null.

    • authorUsernamestring

      Can be null.

    • authorPicturestring

      Can be null.

    • organizationalEntitystring
    • publishedAtstring (date-time)
    • createdAtstring (date-time)
  • paginationobject
    • hasMoreboolean
    • cursorstring

      Can be null.

  • metaobject
    • totalinteger
    • sortOrderstring

      One of asc, desc.

200 response
{
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "linkedin",
      "type": "caption",
      "mediaId": "69eaa09f981d518a7e5ab560",
      "postId": "6108a2cc742cb4e991051e0c",
      "commentId": "6cc7605fa43607e4ad43b1d4",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "accountUsername": "acme",
      "content": "Hello from Pozy",
      "permalink": "string",
      "authorUrn": "string",
      "authorName": "Acme",
      "authorUsername": "acme",
      "authorPicture": "string",
      "organizationalEntity": "string",
      "publishedAt": "2026-10-02T09:00:00.000Z",
      "createdAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pagination": {
    "hasMore": true,
    "cursor": "string"
  },
  "meta": {
    "total": 42,
    "sortOrder": "asc"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Mentions